package com.goafanti.common.model;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;


/**
 * (OrganizationIdentity)实体类
 *
 * @author makejava
 * @since 2025-04-28 16:48:23
 */
public class OrganizationIdentity implements Serializable {
    private static final long serialVersionUID = -56235329099507123L;

    private String id;

    private String uid;
    /**
     * 联系人
     */
    private String contacts;
    /**
     * 联系方式
     */
    private String contactMobile;
    /**
     * 固定电话
     */
    private String fixedTel;
    /**
     * QQ号
     */
    private String qq;
    /**
     * 通讯地址
     */
    private String postalAddress;
    /**
     * 邮政编码
     */
    private String postcode;
    /**
     * 单位名称
     */
    private String unitName;
    /**
     * 注册资金
     */
    private BigDecimal registeredCapital;
    /**
     * 营业执照注册号
     */
    private String licenceNumber;
    /**
     * 营业执照所在地--省
     */
    private Integer licenceProvince;
    /**
     * 营业执照所在地-市
     */
    private Integer licenceCity;
    /**
     * 营业执照所在地-区(县)
     */
    private Integer licenceArea;
    /**
     * 营业执照副本扫描件URL
     */
    private String licenceScanningUrl;
    /**
     * 组织机构代码证号码
     */
    private String orgCode;
    /**
     * 组织机构代码证URL
     */
    private String orgCodeUrl;
    /**
     * 银行账号
     */
    private String bankAccount;
    /**
     * 开户行
     */
    private String banks;
    /**
     * 开户行支行
     */
    private String bankBranch;
    /**
     * 银行卡号
     */
    private String bankCardNumber;
    /**
     * 打入账内信息
     */
    private BigDecimal validationAmount;
    /**
     * 身份类型
     */
    private Integer identityType;
    /**
     * 开户行所在地-省
     */
    private Integer locationProvince;
    /**
     * 开户行所在地-市
     */
    private Integer locationCity;
    /**
     * 开户行所在地-区(县)
     */
    private Integer locationArea;
    /**
     * 法人
     */
    private String legalPerson;
    /**
     * 法人身份证号
     */
    private String legalPersonIdCard;
    /**
     * 上年度纳税报表
     */
    private String lastYearTaxReportUrl;
    /**
     * 审核状态
     */
    private Integer auditStatus;
    /**
     * 实名认证流程
     */
    private Integer process;
    /**
     * 输入打款金额错误次数
     */
    private Integer wrongCount;
    /**
     * 打款日期
     */
    private Date paymentDate;
    /**
     * 是否上市
     */
    private Integer listed;
    /**
     * 上市时间
     */
    private Date listedDate;
    /**
     * 上市类型
     */
    private Integer listedType;
    /**
     * 股票代码
     */
    private String stockCode;
    /**
     * 高企认定证书编号
     */
    private String certificateNumber;
    /**
     * 高企认定发证日期
     */
    private Date issuingDate;
    /**
     * 高企认定联系人及联系方式
     */
    private Integer cogContacts;
    /**
     * 高企技术负责人
     */
    private String techPrincipal;
    /**
     * 联系人固定电话
     */
    private String contactsFixedTel;
    /**
     * 联系人传真
     */
    private String contactsFax;
    /**
     * 法人电话
     */
    private String legalPersonTel;
    /**
     * 法人传真
     */
    private String legalPersonFax;
    /**
     * 法人Email
     */
    private String legalPersonEmail;
    /**
     * 注册时间
     */
    private Date registrationTime;
    /**
     * 税务登记号
     */
    private String ratepayCode;
    /**
     * 所属行业
     */
    private String industry;
    /**
     * 企业规模
     */
    private String enterpriseScale;
    /**
     * 注册类型
     */
    private String registerType;
    /**
     * 外资来源地
     */
    private String foreignInvestment;
    /**
     * 领域
     */
    private String field;
    /**
     * 企业所得税主管税务机关(0--国税,1--地税)
     */
    private Integer taxAuthority;
    /**
     * 企业所得税征收方式(0--查账征收,1--核定征收)
     */
    private Integer ratepayMethod;
    /**
     * 是否属于国家级高新区内企业(0--否,1--是)
     */
    private Integer highTechZone;
    /**
     * 是否引入风险投资(0--否,1--是)
     */
    private Integer riskInvestment;
    /**
     * 经营范围
     */
    private String businessScope;
    /**
     * 国家级高新区名称
     */
    private String highTechName;
    /**
     * 专利代理委托书URL
     */
    private String patentProryStatementUrl;
    /**
     * 国际化(0--否 1--是)
     */
    private Integer international;
    /**
     * 审查说明
     */
    private String reviewInstructions;
    /**
     * 投资机构 0-否 1-是
     */
    private Integer investment;
    /**
     * 年度销售额
     */
    private BigDecimal yearSalesAmount;
    /**
     * 上年度研发费用
     */
    private BigDecimal lastYearResearchAmount;
    /**
     * 总资产情况
     */
    private BigDecimal assets;
    /**
     * 企业资质情况（特殊资质）
     */
    private String qualification;
    /**
     * 企业与高校院所(科研单位)合作情况
     */
    private String cooperationSituation;
    /**
     * 荣誉资质图片
     */
    private String honorPicture;
    /**
     * 销售目标
     */
    private String salesTarget;
    /**
     * 意向项目
     */
    private String intendedProject;
    /**
     * 联系人部门
     */
    private String contactsDep;
    /**
     * 联系人职位
     */
    private String contactsPosition;
    /**
     * 所属行业名称
     */
    private String industryName;


    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getUid() {
        return uid;
    }

    public void setUid(String uid) {
        this.uid = uid;
    }

    public String getContacts() {
        return contacts;
    }

    public void setContacts(String contacts) {
        this.contacts = contacts;
    }

    public String getContactMobile() {
        return contactMobile;
    }

    public void setContactMobile(String contactMobile) {
        this.contactMobile = contactMobile;
    }

    public String getFixedTel() {
        return fixedTel;
    }

    public void setFixedTel(String fixedTel) {
        this.fixedTel = fixedTel;
    }

    public String getQq() {
        return qq;
    }

    public void setQq(String qq) {
        this.qq = qq;
    }

    public String getPostalAddress() {
        return postalAddress;
    }

    public void setPostalAddress(String postalAddress) {
        this.postalAddress = postalAddress;
    }

    public String getPostcode() {
        return postcode;
    }

    public void setPostcode(String postcode) {
        this.postcode = postcode;
    }

    public String getUnitName() {
        return unitName;
    }

    public void setUnitName(String unitName) {
        this.unitName = unitName;
    }

    public BigDecimal getRegisteredCapital() {
        return registeredCapital;
    }

    public void setRegisteredCapital(BigDecimal registeredCapital) {
        this.registeredCapital = registeredCapital;
    }

    public String getLicenceNumber() {
        return licenceNumber;
    }

    public void setLicenceNumber(String licenceNumber) {
        this.licenceNumber = licenceNumber;
    }

    public Integer getLicenceProvince() {
        return licenceProvince;
    }

    public void setLicenceProvince(Integer licenceProvince) {
        this.licenceProvince = licenceProvince;
    }

    public Integer getLicenceCity() {
        return licenceCity;
    }

    public void setLicenceCity(Integer licenceCity) {
        this.licenceCity = licenceCity;
    }

    public Integer getLicenceArea() {
        return licenceArea;
    }

    public void setLicenceArea(Integer licenceArea) {
        this.licenceArea = licenceArea;
    }

    public String getLicenceScanningUrl() {
        return licenceScanningUrl;
    }

    public void setLicenceScanningUrl(String licenceScanningUrl) {
        this.licenceScanningUrl = licenceScanningUrl;
    }

    public String getOrgCode() {
        return orgCode;
    }

    public void setOrgCode(String orgCode) {
        this.orgCode = orgCode;
    }

    public String getOrgCodeUrl() {
        return orgCodeUrl;
    }

    public void setOrgCodeUrl(String orgCodeUrl) {
        this.orgCodeUrl = orgCodeUrl;
    }

    public String getBankAccount() {
        return bankAccount;
    }

    public void setBankAccount(String bankAccount) {
        this.bankAccount = bankAccount;
    }

    public String getBanks() {
        return banks;
    }

    public void setBanks(String banks) {
        this.banks = banks;
    }

    public String getBankBranch() {
        return bankBranch;
    }

    public void setBankBranch(String bankBranch) {
        this.bankBranch = bankBranch;
    }

    public String getBankCardNumber() {
        return bankCardNumber;
    }

    public void setBankCardNumber(String bankCardNumber) {
        this.bankCardNumber = bankCardNumber;
    }

    public BigDecimal getValidationAmount() {
        return validationAmount;
    }

    public void setValidationAmount(BigDecimal validationAmount) {
        this.validationAmount = validationAmount;
    }

    public Integer getIdentityType() {
        return identityType;
    }

    public void setIdentityType(Integer identityType) {
        this.identityType = identityType;
    }

    public Integer getLocationProvince() {
        return locationProvince;
    }

    public void setLocationProvince(Integer locationProvince) {
        this.locationProvince = locationProvince;
    }

    public Integer getLocationCity() {
        return locationCity;
    }

    public void setLocationCity(Integer locationCity) {
        this.locationCity = locationCity;
    }

    public Integer getLocationArea() {
        return locationArea;
    }

    public void setLocationArea(Integer locationArea) {
        this.locationArea = locationArea;
    }

    public String getLegalPerson() {
        return legalPerson;
    }

    public void setLegalPerson(String legalPerson) {
        this.legalPerson = legalPerson;
    }

    public String getLegalPersonIdCard() {
        return legalPersonIdCard;
    }

    public void setLegalPersonIdCard(String legalPersonIdCard) {
        this.legalPersonIdCard = legalPersonIdCard;
    }

    public String getLastYearTaxReportUrl() {
        return lastYearTaxReportUrl;
    }

    public void setLastYearTaxReportUrl(String lastYearTaxReportUrl) {
        this.lastYearTaxReportUrl = lastYearTaxReportUrl;
    }

    public Integer getAuditStatus() {
        return auditStatus;
    }

    public void setAuditStatus(Integer auditStatus) {
        this.auditStatus = auditStatus;
    }

    public Integer getProcess() {
        return process;
    }

    public void setProcess(Integer process) {
        this.process = process;
    }

    public Integer getWrongCount() {
        return wrongCount;
    }

    public void setWrongCount(Integer wrongCount) {
        this.wrongCount = wrongCount;
    }

    public Date getPaymentDate() {
        return paymentDate;
    }

    public void setPaymentDate(Date paymentDate) {
        this.paymentDate = paymentDate;
    }

    public Integer getListed() {
        return listed;
    }

    public void setListed(Integer listed) {
        this.listed = listed;
    }

    public Date getListedDate() {
        return listedDate;
    }

    public void setListedDate(Date listedDate) {
        this.listedDate = listedDate;
    }

    public Integer getListedType() {
        return listedType;
    }

    public void setListedType(Integer listedType) {
        this.listedType = listedType;
    }

    public String getStockCode() {
        return stockCode;
    }

    public void setStockCode(String stockCode) {
        this.stockCode = stockCode;
    }

    public String getCertificateNumber() {
        return certificateNumber;
    }

    public void setCertificateNumber(String certificateNumber) {
        this.certificateNumber = certificateNumber;
    }

    public Date getIssuingDate() {
        return issuingDate;
    }

    public void setIssuingDate(Date issuingDate) {
        this.issuingDate = issuingDate;
    }

    public Integer getCogContacts() {
        return cogContacts;
    }

    public void setCogContacts(Integer cogContacts) {
        this.cogContacts = cogContacts;
    }

    public String getTechPrincipal() {
        return techPrincipal;
    }

    public void setTechPrincipal(String techPrincipal) {
        this.techPrincipal = techPrincipal;
    }

    public String getContactsFixedTel() {
        return contactsFixedTel;
    }

    public void setContactsFixedTel(String contactsFixedTel) {
        this.contactsFixedTel = contactsFixedTel;
    }

    public String getContactsFax() {
        return contactsFax;
    }

    public void setContactsFax(String contactsFax) {
        this.contactsFax = contactsFax;
    }

    public String getLegalPersonTel() {
        return legalPersonTel;
    }

    public void setLegalPersonTel(String legalPersonTel) {
        this.legalPersonTel = legalPersonTel;
    }

    public String getLegalPersonFax() {
        return legalPersonFax;
    }

    public void setLegalPersonFax(String legalPersonFax) {
        this.legalPersonFax = legalPersonFax;
    }

    public String getLegalPersonEmail() {
        return legalPersonEmail;
    }

    public void setLegalPersonEmail(String legalPersonEmail) {
        this.legalPersonEmail = legalPersonEmail;
    }

    public Date getRegistrationTime() {
        return registrationTime;
    }

    public void setRegistrationTime(Date registrationTime) {
        this.registrationTime = registrationTime;
    }

    public String getRatepayCode() {
        return ratepayCode;
    }

    public void setRatepayCode(String ratepayCode) {
        this.ratepayCode = ratepayCode;
    }

    public String getIndustry() {
        return industry;
    }

    public void setIndustry(String industry) {
        this.industry = industry;
    }

    public String getEnterpriseScale() {
        return enterpriseScale;
    }

    public void setEnterpriseScale(String enterpriseScale) {
        this.enterpriseScale = enterpriseScale;
    }

    public String getRegisterType() {
        return registerType;
    }

    public void setRegisterType(String registerType) {
        this.registerType = registerType;
    }

    public String getForeignInvestment() {
        return foreignInvestment;
    }

    public void setForeignInvestment(String foreignInvestment) {
        this.foreignInvestment = foreignInvestment;
    }

    public String getField() {
        return field;
    }

    public void setField(String field) {
        this.field = field;
    }

    public Integer getTaxAuthority() {
        return taxAuthority;
    }

    public void setTaxAuthority(Integer taxAuthority) {
        this.taxAuthority = taxAuthority;
    }

    public Integer getRatepayMethod() {
        return ratepayMethod;
    }

    public void setRatepayMethod(Integer ratepayMethod) {
        this.ratepayMethod = ratepayMethod;
    }

    public Integer getHighTechZone() {
        return highTechZone;
    }

    public void setHighTechZone(Integer highTechZone) {
        this.highTechZone = highTechZone;
    }

    public Integer getRiskInvestment() {
        return riskInvestment;
    }

    public void setRiskInvestment(Integer riskInvestment) {
        this.riskInvestment = riskInvestment;
    }

    public String getBusinessScope() {
        return businessScope;
    }

    public void setBusinessScope(String businessScope) {
        this.businessScope = businessScope;
    }

    public String getHighTechName() {
        return highTechName;
    }

    public void setHighTechName(String highTechName) {
        this.highTechName = highTechName;
    }

    public String getPatentProryStatementUrl() {
        return patentProryStatementUrl;
    }

    public void setPatentProryStatementUrl(String patentProryStatementUrl) {
        this.patentProryStatementUrl = patentProryStatementUrl;
    }

    public Integer getInternational() {
        return international;
    }

    public void setInternational(Integer international) {
        this.international = international;
    }

    public String getReviewInstructions() {
        return reviewInstructions;
    }

    public void setReviewInstructions(String reviewInstructions) {
        this.reviewInstructions = reviewInstructions;
    }

    public Integer getInvestment() {
        return investment;
    }

    public void setInvestment(Integer investment) {
        this.investment = investment;
    }

    public BigDecimal getYearSalesAmount() {
        return yearSalesAmount;
    }

    public void setYearSalesAmount(BigDecimal yearSalesAmount) {
        this.yearSalesAmount = yearSalesAmount;
    }

    public BigDecimal getLastYearResearchAmount() {
        return lastYearResearchAmount;
    }

    public void setLastYearResearchAmount(BigDecimal lastYearResearchAmount) {
        this.lastYearResearchAmount = lastYearResearchAmount;
    }

    public BigDecimal getAssets() {
        return assets;
    }

    public void setAssets(BigDecimal assets) {
        this.assets = assets;
    }

    public String getQualification() {
        return qualification;
    }

    public void setQualification(String qualification) {
        this.qualification = qualification;
    }

    public String getCooperationSituation() {
        return cooperationSituation;
    }

    public void setCooperationSituation(String cooperationSituation) {
        this.cooperationSituation = cooperationSituation;
    }

    public String getHonorPicture() {
        return honorPicture;
    }

    public void setHonorPicture(String honorPicture) {
        this.honorPicture = honorPicture;
    }

    public String getSalesTarget() {
        return salesTarget;
    }

    public void setSalesTarget(String salesTarget) {
        this.salesTarget = salesTarget;
    }

    public String getIntendedProject() {
        return intendedProject;
    }

    public void setIntendedProject(String intendedProject) {
        this.intendedProject = intendedProject;
    }

    public String getContactsDep() {
        return contactsDep;
    }

    public void setContactsDep(String contactsDep) {
        this.contactsDep = contactsDep;
    }

    public String getContactsPosition() {
        return contactsPosition;
    }

    public void setContactsPosition(String contactsPosition) {
        this.contactsPosition = contactsPosition;
    }

    public String getIndustryName() {
        return industryName;
    }

    public void setIndustryName(String industryName) {
        this.industryName = industryName;
    }

}

